<!DOCTYPE HTML>
<html>
	<head>
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta http-equiv='Content-Type' content='text/html;charset=UTF-8'/>

		<script
				id="sap-ui-bootstrap"
         		src="https://sapui5.hana.ondemand.com/resources/sap-ui-core.js"
         		data-sap-ui-theme="sap_bluecrystal"
         		data-sap-ui-libs="sap.m, sap.ui.core, sap.ui.layout"
         		data-sap-ui-compatVersion="edge"
				data-sap-ui-preload="async"
         		data-sap-ui-resourceroots='{
            	"sapui5.start": "./webapp/"
         		}' >
		</script>
		<!-- data-sap-ui-preload="async" the attachInit function and modifying the ui has to be done asyncrounosly (component.js) -->
		<script>

			sap.ui.getCore().attachInit(function(){
				sap.ui.require([
					"sap/m/Shell",
					"sap/ui/core/ComponentContainer",
					"sapui5/start/Component"
				], function(Shell, ComponentContainer, Component) {
					new Shell({
						app: new ComponentContainer({
							height: "100%",
							component: new Component({
								id: "mvcAppComponent"
							})
						})
					}).placeAt("content");
				});
			});

		</script>

	</head>
	<body class="sapUiBody" role="application" >
		<div id="content"></div>
	</body>
</html>
